Subject: Re: licensing NOT clear for me
From: John Mullee <[email-masked]>
To: [email-masked]
Date: Fri, 19 Mar 1999 14:13:43 +0100

> Hi there!
> I make my binaries available to the public but:
> Can I include the cygwin1.dll on the .zip file???
> It seems i have to include the source code of the
> library, but that would make a 20 megas cygwin
> source (more than 20 times the actual program).
> 
> Can someone help?
> I consider stupid to include 20 megas for a simple
> program. Maybe I am wrong, but that is why
> I asked and nobody seems to know the answer.
> Joaquin Grech

(I'm sure i'll be corrected if i'm wrong here.. :)

The issue is simply:
 - if you distribute on cdrom, include the cywin sources (no problem,
right?)
 - if you distribute on floppy, include the cywin sources (aargh!)
 - if you distribute via http/ftp, place the cygwin sources on the same
site
   permitting users who _chose_ to do so to get the relevant sources.

You could make it awkward by splitting the files into 1MB lumps and use
some strange compression-format, if you wanted to discourage unnecessary
dowloads.

You _don't_ have to wrap _all_ the sources up in the same archive. They
can be separately-downloadable files.

I'm not aware of any separate source archive which produces _only_ the
dll and not
the tools; such an archive, if you created it, would both fulfil GPL
requirements
and be easier to fit on some floppies.
FWIW, the cdk/src/winsup directory - i.e. the sources for the cygwin dll
-
zip into about 700 kb. (one floppy disk!)

Now, which bit don't you understand ? 8)

john

--
Want to unsubscribe from this list?
Send a message to [email-masked]